Transcripts

Retrieve the conversation transcript from a VoiceRun session.

View in app: Open a session and select the Transcript tab.


Get Transcript#

Retrieve the transcript for a specific session.

GET /v1/agents/{agentId}/sessions/{sessionId}/formattedEvents?filter=transcript

Additional Query Parameters#

ParameterTypeDescription
formatstringResponse format: "json" or "csv" (default: "csv")

Bulk Export Transcripts#

Export transcripts for multiple sessions within a date range.

GET /v1/agents/{agentId}/sessions/export-transcripts

Query Parameters#

ParameterTypeDescription
startDatestringRequired. Start date in ISO 8601 format
endDatestringRequired. End date in ISO 8601 format
formatstringResponse format: "json" or "csv" (default: "csv")
limitnumberMaximum sessions to export (default: 100, max: 100)
apisessionstranscripts